/*
 *  TOPPERS/SSP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2007 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2011-2015 by Naoki Saito
 *             Nagoya Municipal Industrial Research Institute, JAPAN
 * 
 *  L쌠҂́Cȉ(1)`(4)̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEE
 *  ρEĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 *      ܂C{\tgEFÃ[U܂̓Gh[ÛȂ闝
 *      RɊÂCL쌠҂TOPPERSvWFNg
 *      Ɛӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړI
 *  ɑ΂K܂߂āCȂۏ؂sȂD܂C{\tgEF
 *  A̗pɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC
 *  ̐ӔC𕉂ȂD
 * 
 */

/*
 *  VXeT[rX̃^[QbgˑiQB-R5F100LEpj
 *
 *  VXeT[rX̃^[Qbgˑ̃CN[ht@CD̃t@
 *  C̓éCR|[lgLqt@CɋLqC̃t@C
 *  Ȃ錩݁D
 */

#ifndef TOPPERS_TARGET_SYSSVC_H
#define TOPPERS_TARGET_SYSSVC_H

/*
 *  ^[QbgVXẽn[hEFA̒`
 */
#include "qb_r5f100le.h"

/*
 *  g[XOɊւݒ
 */
#ifdef TOPPERS_TRACE_ENABLE
//#include "logtrace/trace_config.h"
#endif /* TOPPERS_TRACE_ENABLE */

/*
 *  NbZ[W̃^[QbgVXe
 */
#define TARGET_NAME    "QB-R5F100LE"

/*
 *  NbZ[WɃ^[Qbgˑ̒쌠\
 *  ǉ邽߂̃}ND
 */
#ifdef PRC_COPYRIGHT
#define TARGET_COPYRIGHT	PRC_COPYRIGHT
#endif /* PRC_COPYRIGHT */

/*
 *  VXeO̒჌xo͂̂߂̕o
 *
 *  ^[Qbgˑ̕@ŁCc\/o/ۑD
 */
extern void	target_fput_log(char c);

/*
 *  VA|[g̒`
 */
#define TNUM_PORT	(1) 	/* serial.c ŎgpVA|[g̐ */
#define TNUM_SIOP	(1) 	/* xxx_serial.c Ŏgp|[g */


/*
 *  {[[g
 */
#define BPS_SETTING		(19200)

/*
 *  gpVAfoCX|[gID
 */
#define LOGTASK_PORTID		(1)

/*
 *  VXeO^XN֘A̒萔̒`
 *
 *  ftHgl̒ʂD
 */

#endif /* TOPPERS_TARGET_SYSSVC_H */
